org.jboss.jca.codegenerator.code

## Class MbeanInterfaceCodeGen

- java.lang.Object
- - org.jboss.jca.codegenerator.BaseGen
  - - org.jboss.jca.codegenerator.code.AbstractCodeGen
    - - org.jboss.jca.codegenerator.code.MbeanInterfaceCodeGen

-     public class MbeanInterfaceCodeGen
      extends AbstractCodeGen

  A MbeanInterface CodeGen.
  Version:
    $Revision: $
  Author:
    Jeff Zhang

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `MbeanInterfaceCodeGen()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.String` | `getClassName(Definition def)` get this class name
    `void` | `writeClassBody(Definition def, java.io.Writer out)` Output class
    `void` | `writeImport(Definition def, java.io.Writer out)` Output class import

    - ### Methods inherited from class org.jboss.jca.codegenerator.code.AbstractCodeGen

      `generate, getNumOfMcf, getSelfClassName, importLogging, setNumOfMcf, writeLogging`

    - ### Methods inherited from class org.jboss.jca.codegenerator.BaseGen

      `writeEol, writeheader, writeIndent`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### MbeanInterfaceCodeGen

          public MbeanInterfaceCodeGen()

  - ### Method Detail

    - #### writeClassBody

          public void writeClassBody(Definition def,
                                     java.io.Writer out)
                              throws java.io.IOException

      Output class
      Specified by:
        `writeClassBody` in class `AbstractCodeGen`
      Parameters:
        `def` - definition
        `out` - Writer
      Throws:
        `java.io.IOException` - ioException

    - #### writeImport

          public void writeImport(Definition def,
                                  java.io.Writer out)
                           throws java.io.IOException

      Output class import
      Specified by:
        `writeImport` in class `AbstractCodeGen`
      Parameters:
        `def` - definition
        `out` - Writer
      Throws:
        `java.io.IOException` - ioException

    - #### getClassName

          public java.lang.String getClassName(Definition def)

      get this class name
      Specified by:
        `getClassName` in class `AbstractCodeGen`
      Parameters:
        `def` - definition
      Returns:
        String class name

Copyright © 2014 IronJacamar (http://www.ironjacamar.org)